Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Recente Debian

danieldk
24 antwoorden
  • Hallo,

    Ik heb vandaag geprobeerd debian op een oude computer te installeren alleen dat verliep niet geheel zoals ik had gehoopt.
    Omdat ik graag van recente software gebruik wil maken zal ik volgens mij testing moeten gebruiken of is er nog een nieuwere versie ?
    Daarom probeerde ik dus de floppy images van 'current' te downden, omdat woody en sarge toch al weer vrij oud zijn volgens mij.
    Helaas hebben veel mirrors deze images niet op hun server staan, dus moest ik lang zoeken voordat ik eindelijk current floppy-images heb gevonden.
    Toen ik eindelijk met de gemaakte floppy's aan de slag ging bleken die 'current' floppy's gewoon nog een 2.2 kernel te bevatten i.p.v. de 2.4 of nieuwer….

    Het lag in mijn bedoeling om een net-install te doen m.b.v. een zo recent mogelijke set install-floppy's.
    Is dit wel mogelijk of kun je alleen maar met oude 2.2 kernel schijfjes installeren ?

    P&B
  • Als je cutting-edge software wilt draaien, neem dan geen Debian. Als er iets conservatief is is het wel Debian.
  • Sarge verouderd? Is net een paar maanden oud man!! :o Ga je voor 'bleeding edge' software is Debian niet je ding, dan ben je beter af met Fedora. Debian gaat, vanuit de achterliggende filosofie, uit van stabiele software. Sarge is nog niet helemaal 'stable' maar is het 'testing' stadium al lang gepasseerd. Woody is de current 'stable' van Debian (als ik goed heb gelezen). Sarge heeft overigens een 2.4 kernel standaard, wil je een 2.6 kernel zit je met Knoppix goed. Sarge is met een net-install op de HDD te krijgen, Knoppix is zoals bekend 1 CD-R. Gelukkig kun je met [code:1:ef90f180e0]apt-get dist-upgrade[/code:1:ef90f180e0] een Knoppix hdd-install helemaal up-to-date brengen :lol: Jep, ervaring ;)

    Groet, M.V. Wesstein
  • Toch wil ik graag debian gebruiken op het desbetreffende systeem.

    Woody gebruik ik zelf ook, maar dat is echt stokoud, maar wel prima geschikt voor servers etc.
    Sarge is volgens mij wel ouder dan 'enkele maanden' en volgens mij is Sid de meest recente debian uitgave ?

    Ik hoor hier dat debian niet geschikt is om 'bleeding edge' software te draaien, maar in principe kun je toch de zelfde software draaien als op andere systemen ?
    Gewoon een kwestie van apt configureren om de 'bleeding edge' packages gebruiken, dat moet volgens mij wel kunnen.
  • Van debian.org;

    Index of releases

    * The next release of Debian is codenamed ‘sarge’ – no release date has been set
    * Debian GNU/Linux 3.0 (‘woody’) – current stable release
  • [quote:e6efc0bd55="Tekkie"]Van debian.org;

    Index of releases

    * The next release of Debian is codenamed ‘sarge’ – no release date has been set
    * Debian GNU/Linux 3.0 (‘woody’) – current stable release[/quote:e6efc0bd55]
    Dat staat er wel goed hoor volgens mij….

    De volgende 'stabiele' release wordt idd sarge.
    Momenteel is woody de stable release…dat is ze nu inmiddels al enkele jaren…
    Sarge is nu nog unstable of testing en zal straks doorschuiven naar stable.
    Dan zal Sid wel bleeding edge zijn en die zal an wel doorschuiven naar testing / unstable.
    Dat klopt dan toch ?
    Woody is nog maar de 3e 'officiele' release van debian geloof ik….sarge en sid zijn nog steeds in hun testfase zeg maar.
    Dat sarge straks de volgende offieciele release is, dat betekend dus niet dat het de meest recente is….dat zal dan de opvolger van sid zijn ?

    P&B
  • Woody –> Stable –> (solid as a rock)

    Sarge –> Testing –> (almost stable)

    Sid –> Unstable –> (bleeding edge)

    Sid blijft trouwens Unstable by the way. Dus het namen doorschuif systeem gaat wat dat betreft niet op ;)
  • [quote:de8cbe4b03="m3ssi4h"]Woody –> Stable –> (solid as a rock)

    Sarge –> Testing –> (almost stable)

    Sid –> Unstable –> (bleeding edge)

    Sid blijft trouwens Unstable by the way. Dus het namen doorschuif systeem gaat wat dat betreft niet op ;)[/quote:de8cbe4b03]
    De namen dan niet, maar het systeem is in essentie dus wel het zelfde ;-)

    P&B
  • [quote:8752a5e55d="Tekkie"]Als je cutting-edge software wilt draaien, neem dan geen Debian. Als er iets conservatief is is het wel Debian.[/quote:8752a5e55d]

    :lol: nooit van sid gehoord?
  • In deze discussie over Debian, werd ook melding gemaakt van knoppix met kernel 2.6.

    Ik heb zelf 3 pogingen gewaagd om Woody te installeren, helaas lukt dat niet ondanks lezen, lezen en nog eens lezen. Probleem is met X grafische omgeving krijg ik niet aan de praat. Als alternatief heb ik nu Knoppix 3,7 NL HCC editie geinstalleerd. Mijn vraag is nu is Knoppix een goede Debian basis om daar mee verder te gaan. Of krijg je toch problemen b.v. met apt-get door dat er veel onderdelen van te veel veranderd zijn om er een live CD van te maken. Korter samengevat is Knoppix een goede Debian basis om mee verder te werken.

    Hans
  • [quote:e33dce5d2a="honingbij"]In deze discussie over Debian, werd ook melding gemaakt van knoppix met kernel 2.6.

    Ik heb zelf 3 pogingen gewaagd om Woody te installeren, helaas lukt dat niet ondanks lezen, lezen en nog eens lezen. Probleem is met X grafische omgeving krijg ik niet aan de praat. Als alternatief heb ik nu Knoppix 3,7 NL HCC editie geinstalleerd. Mijn vraag is nu is Knoppix een goede Debian basis om daar mee verder te gaan. Of krijg je toch problemen b.v. met apt-get door dat er veel onderdelen van te veel veranderd zijn om er een live CD van te maken. Korter samengevat is Knoppix een goede Debian basis om mee verder te werken.

    Hans[/quote:e33dce5d2a]

    Ga alsjeblieft geen Knoppix op je harddisk installeren. Het kan in principe wel maar vroeg of laat ga je tegen allerlei problemen oplopen. Wil je een eenvoudige debian based beginners distro neem dan ubuntu http://www.ubuntu.com/. Debian Woody (stable) raad ik eigenlijk alleen voor server installaties aan vanwege de oudere software en de wat moeilijke installer. Voor een desktop is momenteel Debian Sarge (testing) denk ik de beste keuze. De Netinstaller CD kun je hier downloaden: http://cdimage.debian.org/pub/cdimage-testing/sarge_d-i/i386
    c2/sarge-i386-netinst.iso
  • Is sarge dan echt de meest recente basis om je systeem uit op te bouwen ?
    Welke images moet je dan gebruiken als je een netinst wilt doen vanaf schijfjes ?
    De directory's waar ze zouden moeten staan zijn voor sarge allemaal leeg ?
  • [quote:ac4f269975="Pinky & The Brain"]Is sarge dan echt de meest recente basis om je systeem uit op te bouwen ?[/quote:ac4f269975]

    Sarge is nu nog testing maar staat op het punt om stable te worden. Wil je echt de allernieuwste software en problemen dan moet je Sarge updaten naar Sid (unstable).

    [quote:ac4f269975="Pinky & The Brain"]Welke images moet je dan gebruiken als je een netinst wilt doen vanaf schijfjes ?[/quote:ac4f269975]

    http://cdimage.debian.org/pub/cdimage-testing/sarge_d-i/i386
    c2/sarge-i386-netinst.iso

    http://www.debian.org/devel/debian-installer/

    [quote:ac4f269975="Pinky & The Brain"]De directory's waar ze zouden moeten staan zijn voor sarge allemaal leeg ?[/quote:ac4f269975]

    ???
  • [quote:93bdff17c4="m3ssi4h"][quote:93bdff17c4="Pinky & The Brain"]Is sarge dan echt de meest recente basis om je systeem uit op te bouwen ?[/quote:93bdff17c4]

    Sarge is nu nog testing maar staat op het punt om stable te worden. Wil je echt de allernieuwste software en problemen dan moet je Sarge updaten naar Sid (unstable).

    [quote:93bdff17c4="Pinky & The Brain"]Welke images moet je dan gebruiken als je een netinst wilt doen vanaf schijfjes ?[/quote:93bdff17c4]

    http://cdimage.debian.org/pub/cdimage-testing/sarge_d-i/i386
    c2/sarge-i386-netinst.iso

    http://www.debian.org/devel/debian-installer/

    [quote:93bdff17c4="Pinky & The Brain"]De directory's waar ze zouden moeten staan zijn voor sarge allemaal leeg ?[/quote:93bdff17c4]

    ???[/quote:93bdff17c4]
    Ja hoor, nu staan ze er wel ?

    Veemd, ik heb nu al enkele keren gezocht en ik kon tot nu toe geen diskette images vonden voor sarge…
    Op verschillende debian mirrors waren die bewuste directory's leeg….de woody schijfjes staan er daar wel op dan.

    Maar goed, nu weet ik wel waar ik ze kan verkrijgen…

    Bedankt !
  • Alhoewel sarge niet zo cutting edge als sid is, is het wel erg up to date:

    [code:1:b18b0c8f7b]
    daniel@mindbender:~$ apt-cache policy kdebase
    kdebase:
    Installed: (none)
    Candidate: 4:3.3.2-1
    Version Table:
    4:3.3.2-1 0
    500 ftp://ftp.nl.debian.org sid/main Packages
    4:3.3.1-4 0
    500 ftp://ftp.nl.debian.org sarge/main Packages
    daniel@mindbender:~$ apt-cache policy gnome-session
    gnome-session:
    Installed: (none)
    Candidate: 2.8.1-5
    Version Table:
    2.8.1-5 0
    500 ftp://ftp.nl.debian.org sarge/main Packages
    500 ftp://ftp.nl.debian.org sid/main Packages
    daniel@mindbender:~$ apt-cache policy gimp
    gimp:
    Installed: 2.2.3-2
    Candidate: 2.2.3-2
    Version Table:
    *** 2.2.3-2 0
    500 ftp://ftp.nl.debian.org sid/main Packages
    100 /var/lib/dpkg/status
    2.2.2-1 0
    500 ftp://ftp.nl.debian.org sarge/main Packages
    [/code:1:b18b0c8f7b]

    KDE 3.3.1, GNOME 2.8.1, Gimp 2.2.2, lijkt me toch erg up to date ;).
  • Maar ja Daniel zelfs dat is voor de sommige niet genoeg en nemen de diverse bugs die in Sid zitten maar voor lief. Het nieuwste van het nieuwste is niet altijd beter zou ik zeggen. Voor stabiliteit valt ook wat te zeggen toch :roll:
  • [quote:aefe812cce="m3ssi4h"]Maar ja Daniel zelfs dat is voor de sommige niet genoeg en nemen de diverse bugs die in Sid zitten maar voor lief. Het nieuwste van het nieuwste is niet altijd beter zou ik zeggen. Voor stabiliteit valt ook wat te zeggen toch :roll:[/quote:aefe812cce]

    Stabiliteit is ook erg belangrijk, maar in sommige gevallen liggen de prioriteiten anders en wordt er liever gebruik gemaakt van iets minder stabiele software ten behoeve van extra functionaliteit.
    Het nieuwste van het nieuwste is zeker niet altijd beter en ik ben dan ook één van de eersten om dat toe te geven.
    Zelf draai ik b.v. ook gewoon woody op mijn servers.
    Nu wil het geval echter dat ik op een bepaalde machine (niet mijn eigen) een zo recent mogelijke debian moet zetten.
    Er moet minimaal een 2.4 kernel in (kan met sarge ook) en zo zou er b.v. die nieuwe jdk (1.5.0) van sun op moeten komen te staan.
    Gelukkig is deze ook wel los te verkrijgen, maar dan kom je weer in de knoei met dependencies en dat is nu juist het punt waarom debian de voorkeur krijgt…het apt systeem :-)
    Mijn eigen systemen zijn dus niet zo 'bleeding-edge', mijn eigen desktop draait b.v. slackware 9.2 met een 2.4 kernel.

    P&B
  • Op een non-critical server kan je trouwens gerust Testing draaien. Met Java onder Debian wens ik je trouwens veel succes Java en Mplayer zijn juist die zaken waardoor ik een beetje anders tegen de Debian Policy aan ben gaan kijken.

    http://packages.debian.org/cgi-bin/search_packages.pl?keywords=java&searchon=names&subword=1&version=all&release=all

    http://packages.debian.org/cgi-bin/search_packages.pl?keywords=mplayer&searchon=names&subword=1&version=all&release=all
  • [quote:ea1d76e0b8="m3ssi4h"]Op een non-critical server kan je trouwens gerust Testing draaien. Met Java onder Debian wens ik je trouwens veel succes Java en Mplayer zijn juist die zaken waardoor ik een beetje anders tegen de Debian Policy aan ben gaan kijken.

    http://packages.debian.org/cgi-bin/search_packages.pl?keywords=java&searchon=names&subword=1&version=all&release=all

    http://packages.debian.org/cgi-bin/search_packages.pl?keywords=mplayer&searchon=names&subword=1&version=all&release=all[/quote:ea1d76e0b8]
    Je vindt het dus lastig dat ze zoveel mogelijk zich tot gpl packages beperken ?
    Mag ik dat hieruit afleiden ?

    Mplayer is idd en groot gemis, maar zou je zelf wel moeten kunnen compileren.
    Java 1.5.0 staat er ook nog niet tussen, maar dat is dan ook nog maar beta…

    P&B
  • [quote:6717d00870="Pinky & The Brain"] Je vindt het dus lastig dat ze zoveel mogelijk zich tot gpl packages beperken ?
    Mag ik dat hieruit afleiden ?
    [/quote:6717d00870]

    Yep, ik vind het persoonlijk erg overdreven. Ik werk nu bijv. met een distro waar ik met een simpel commando nvidia-drivers, mplayer en java simpel kan installeren en deze applicaties worden dan ook netjes in het packagemanagement systeem opgenomen.

    Verder niets tegen Debian hoor want ik vind het een erg goede distro. Maar de Debian policy en nog want andere zaken steken me nogal.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.